com.brightcove.omniture

## Class CustomPlayerDelegate

- java.lang.Object
- - com.adobe.primetime.va.plugins.videoplayer.VideoPlayerPluginDelegate
  - - com.brightcove.omniture.CustomPlayerDelegate

- Deprecated.

      @Deprecated
      public class CustomPlayerDelegate
      extends com.adobe.primetime.va.plugins.videoplayer.VideoPlayerPluginDelegate

  Implementation of the extended PlayerDelegate abstract class required for Video Heartbeat integration. This is the only location to query video player APIs (BrightcoveVideoView) to gather data required by the video heartbeat library.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.adobe.primetime.va.plugins.videoplayer.AdBreakInfo` | `getAdBreakInfo()` Deprecated.
    `com.adobe.primetime.va.plugins.videoplayer.AdInfo` | `getAdInfo()` Deprecated.
    `com.adobe.primetime.va.plugins.videoplayer.ChapterInfo` | `getChapterInfo()` Deprecated.
    `com.adobe.primetime.va.plugins.videoplayer.QoSInfo` | `getQoSInfo()` Deprecated.
    `com.adobe.primetime.va.plugins.videoplayer.VideoInfo` | `getVideoInfo()` Deprecated.
    `void` | `setPlayerName(java.lang.String playerName)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setPlayerName

          public void setPlayerName(java.lang.String playerName)

      Deprecated.

    - #### getVideoInfo

          public com.adobe.primetime.va.plugins.videoplayer.VideoInfo getVideoInfo()

      Deprecated.
      Overrides:
        `getVideoInfo` in class `com.adobe.primetime.va.plugins.videoplayer.VideoPlayerPluginDelegate`

    - #### getAdBreakInfo

          public com.adobe.primetime.va.plugins.videoplayer.AdBreakInfo getAdBreakInfo()

      Deprecated.
      Overrides:
        `getAdBreakInfo` in class `com.adobe.primetime.va.plugins.videoplayer.VideoPlayerPluginDelegate`

    - #### getAdInfo

          public com.adobe.primetime.va.plugins.videoplayer.AdInfo getAdInfo()

      Deprecated.
      Overrides:
        `getAdInfo` in class `com.adobe.primetime.va.plugins.videoplayer.VideoPlayerPluginDelegate`

    - #### getChapterInfo

          public com.adobe.primetime.va.plugins.videoplayer.ChapterInfo getChapterInfo()

      Deprecated.
      Overrides:
        `getChapterInfo` in class `com.adobe.primetime.va.plugins.videoplayer.VideoPlayerPluginDelegate`

    - #### getQoSInfo

          public com.adobe.primetime.va.plugins.videoplayer.QoSInfo getQoSInfo()

      Deprecated.
      Overrides:
        `getQoSInfo` in class `com.adobe.primetime.va.plugins.videoplayer.VideoPlayerPluginDelegate`